---
title: /v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability
slug: campaign-reporting-apis/v2publisherspublisheridmarketsmarketidproductsgtinregional-availability
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "B4ZlCg1Lq_4uJjoXAMmgA",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "Update regional availability for the product.\nThe availability is specified as a map where the keys are string region names and the values\nare boolean flags of the availability in the respective region.\n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "publisherId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "marketId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "gtin",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "ProductRegionalAvailabilityUpdateRequest",
          "schema": [
            {
              "name": "availability",
              "kind": "required",
              "type": "map",
              "description": "",
              "example": "",
              "customType": "map<string, boolean>",
              "schema": []
            },
            {
              "name": "globalAvailability",
              "kind": "required",
              "type": "boolean",
              "description": "",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/ProductRegionalAvailabilityUpdateRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "KlxeFmJteaMHUKygFsbRl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"availability\": \"\",\n     \"globalAvailability\": \"\"\n     }'"
        },
        {
          "id": "KsQj_2vvb43qmYgxcgfRC",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"availability\": \"\",\n   \"globalAvailability\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "cD1nD8hcsDi0eNqiUIh1D",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"availability\": \"\",\n   \"globalAvailability\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "HFiEJZM_Wzr0oxN0vrtIP",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/{gtin}/regional-availability\"\n\npayload = json.dumps({\n   \"availability\": \"\",\n   \"globalAvailability\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "KlxeFmJteaMHUKygFsbRl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-4-422",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}